## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 7;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           algobox
Version:        1.1.1
Release:        %autorelease
Summary:        Algorithmic software
Summary(fr):    Logiciel d'algorithmique

# Automatically converted from old format: GPLv2+ - review is highly recommended.
License:        GPL-2.0-or-later
URL:            https://www.xm1math.net/algobox
Source0:        %{url}/algobox-%{version}.tar.bz2

# Because qtwebengine is not always available
ExclusiveArch:  %{qt5_qtwebengine_arches}

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  qt5-qtbase-devel >= 5.7
BuildRequires:  qt5-qtwebengine-devel

BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
BuildRequires: make

%description
Algobox is an initiation to algorithmic software at high school level.

%description -l fr
Algobox est un logiciel d'initiation à l'algorithmique au niveau lycée.


%prep
%autosetup -p1
chmod -x license.txt


%build

%{qmake_qt5}

%make_build


%install
%make_install INSTALL_ROOT=%{buildroot}


%check
desktop-file-validate \
  %{buildroot}%{_datadir}/applications/algobox.desktop

appstream-util validate-relax --nonet \
  %{buildroot}%{_metainfodir}/*.metainfo.xml


%files
%license license.txt
%doc utilities/AUTHORS utilities/CHANGELOG.txt
%{_bindir}/algobox
%{_datadir}/algobox
%{_datadir}/applications/algobox.desktop
%{_datadir}/mime/packages/x-algobox.xml
%{_datadir}/pixmaps/algobox.png
%{_datadir}/metainfo/algobox.metainfo.xml


%changelog
## START: Generated by rpmautospec
* Wed Mar 19 2025 Tim Landscheidt <tim@tim-landscheidt.de> - 1.1.1-7
- Fix "%%description" syntax

* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Jul 25 2024 Miroslav Suchý <msuchy@redhat.com> - 1.1.1-5
- convert GPLv2+ license to SPDX

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Dec 20 2023 Nicolas Chauvet <kwizart@gmail.com> - 1.1.1-1
- Update to 1.1.1

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jan 18 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Jul 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jan 19 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Jan 25 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Mar 03 2020 Nicolas Chauvet <kwizart@gmail.com> - 1.0.3-1
- Initial spec file

## END: Generated by rpmautospec
